task bcftools {

	File bcfpon
	String docker
	String cluster_config
	String disk_size
	Boolean PONmode


	command <<<
		set -o pipefail
		set -e
		
		if [ ${PONmode} ]; then
			bcftools view ${bcfpon} -Oz -o a.vcf.gz
		else
			echo 1
		fi
	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	
	output {
		File vcf1="a.vcf.gz"
	}
}