
import "./tasks/corealigner.wdl" as corealigner
import "./tasks/bcftools1.wdl" as bcftools
import "./tasks/TNseq.wdl" as TNseq
import "./tasks/TNscope.wdl" as TNscope
import "./tasks/annovar.wdl" as annovar
import "./tasks/vcf2maf.wdl" as vcf2maf


workflow {{ project_name }} {

	String SENTIEON_INSTALL_DIR
	String SENTIEON_LICENSE
	String sentieon_docker
	String annovar_docker
	String vcf2maf_r_docker
	String bcftools_docker
	
	File ref_dir
	String fasta
	File dbmills_dir
	String db_mills
	File dbsnp_dir
	String dbsnp
	File regions
	File database
	String disk_size
	String cluster_config

	Boolean PONmode
	File? cosmic_dir
	String? cosmic_vcf

	Boolean set_annovar
	Boolean set_vcf2maf


	#File pon_vcf1
	#File pon_vcf2
	#File pon_vcf3
	Array[File] bcf

	scatter (sample in bcf) {
		call bcftools.bcftools as bcftools {
			input:
			PONmode=PONmode,
			bcfpon=sample,
			#pon_vcf1=pon_vcf1,
			#pon_vcf2=pon_vcf2,
			#pon_vcf3=pon_vcf3,
			docker=bcftools_docker,
			disk_size=disk_size,
			cluster_config=cluster_config
		}
	}
}